Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Local_ServantBase Class Reference

Base class for local servants. More...

`#include <Servant_Base.h>`

Inheritance diagram for TAO_Local_ServantBase:

[legend]
Collaboration diagram for TAO_Local_ServantBase:

[legend]
List of all members.

## Protected Methods
TAO_Stub * | _create_stub (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
void | _dispatch (TAO_ServerRequest &request, void *servant_upcall ACE_ENV_ARG_DECL)
| Throws CORBA::BAD_OPERATION exception.

## Detailed Description

Base class for local servants.

This servant does not register with the POA and does not produce a valid stub, i.e., object references of this servant cannot be exported. The (collocated) stubs of these servants will always be direct, i.e., call directly to the servant and don't call through the POA since this servant is not registered with the POA.

## Member Function Documentation

ACE_INLINE TAO_Stub * TAO_Local_ServantBase::_create_stub | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[protected, virtual]`

| This is an auxiliar method for _this(). Make sure *not* to register with the default POA. Reimplemented from TAO_ServantBase.

void TAO_Local_ServantBase::_dispatch | ( | TAO_ServerRequest & | request,
|  | void *servant_upcall | ACE_ENV_ARG_DECL
| ) | `[protected, virtual]`

| Throws CORBA::BAD_OPERATION exception. Implements TAO_ServantBase.

The documentation for this class was generated from the following files:

- Servant_Base.h
- Servant_Base.i